Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023878
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-05-22 11:222013-07-31 15:14
ReportersureshbabuView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revision691c0c47b434
ProjectionnoneETAnoneTarget VersionRMP26
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023878: Text paid wrongly appears when i reopen the receipt which is paid using credit option

DescriptionWhen i pay a receipt using Credit option there is no payment document created as expected. But when i reopen the above receipt in the webpos window, PAID text wrongly appears.
Steps To ReproduceWhen i pay a receipt using Credit option there is no payment document created as expected. But when i reopen the above receipt in the webpos window, PAID text wrongly appears.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024426RMP26 closedmarvintm The tickets paid in credit should not be displayed as paid 
related to defect 0024449 closedguilleaer RMP25: when i reopen the receipt( gross amount:0.00), Paid label wrongly appears as PAID(on credit) 

-  Notes
(0060005)
jecharri (developer)
2013-07-16 13:05

ticket 22423
(0060070)
hgbot (developer)
2013-07-17 11:05

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 534e6a8019e8112cbb46c918bdc463fc9fcc73d8
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 17 11:02:58 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/534e6a8019e8112cbb46c918bdc463fc9fcc73d8 [^]

Fixed issue 23984. Fixed issue 23878. If an order paid on credit is loaded, the 'Paid' label will slightly change to display that it was paid on credit^C

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/components/order.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0060208)
guilleaer (developer)
2013-07-23 20:03

Verified

In next versions of gift card module, it should indicate that a ticket without payments was not paid with credit.
(0060245)
hgbot (developer)
2013-07-24 13:41

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: 534e6a8019e8112cbb46c918bdc463fc9fcc73d8
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 17 11:02:58 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/534e6a8019e8112cbb46c918bdc463fc9fcc73d8 [^]

Fixed issue 23984. Fixed issue 23878. If an order paid on credit is loaded, the 'Paid' label will slightly change to display that it was paid on credit^C

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/components/order.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0060405)
guilleaer (developer)
2013-07-31 12:55

all the tickets with total 0 are shown as paid on credit
(0060406)
hgbot (developer)
2013-07-31 12:56

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 691c0c47b4340f6935bf948edb042ae739e4a122
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jul 31 12:56:16 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/691c0c47b4340f6935bf948edb042ae739e4a122 [^]

fixed issue 23878: Added total amunt to condition. With this approach only tickets whith total> 0 and without payments will be shown as paid on credit

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0060409)
hgbot (developer)
2013-07-31 13:04

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a6fd869b475c59c62b4ba693703ab26c6f916f84
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jul 31 13:04:38 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a6fd869b475c59c62b4ba693703ab26c6f916f84 [^]

related to issue 23878: typo fixed

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0060426)
migueldejuana (developer)
2013-07-31 15:14

Tested and reviewed in ee6a7557292a

- Issue History
Date Modified Username Field Change
2013-05-22 11:22 sureshbabu New Issue
2013-05-22 11:22 sureshbabu Assigned To => marvintm
2013-07-16 13:05 jecharri Note Added: 0060005
2013-07-16 13:05 jecharri Target Version => RMP26
2013-07-17 11:05 hgbot Checkin
2013-07-17 11:05 hgbot Note Added: 0060070
2013-07-17 11:05 hgbot Status new => resolved
2013-07-17 11:05 hgbot Resolution open => fixed
2013-07-17 11:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/534e6a8019e8112cbb46c918bdc463fc9fcc73d8 [^]
2013-07-23 20:03 guilleaer Review Assigned To => guilleaer
2013-07-23 20:03 guilleaer Note Added: 0060208
2013-07-23 20:03 guilleaer Status resolved => closed
2013-07-23 20:03 guilleaer Fixed in Version => RMP25
2013-07-24 13:41 hgbot Checkin
2013-07-24 13:41 hgbot Note Added: 0060245
2013-07-24 13:41 hgbot Status closed => resolved
2013-07-24 13:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/534e6a8019e8112cbb46c918bdc463fc9fcc73d8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/534e6a8019e8112cbb46c918bdc463fc9fcc73d8 [^]
2013-07-24 17:18 marvintm Status resolved => closed
2013-07-29 15:47 jecharri Relationship added related to 0024426
2013-07-31 10:40 guilleaer Relationship added related to 0024449
2013-07-31 12:55 guilleaer Note Added: 0060405
2013-07-31 12:55 guilleaer Status closed => new
2013-07-31 12:55 guilleaer Resolution fixed => open
2013-07-31 12:55 guilleaer Fixed in Version RMP25 =>
2013-07-31 12:56 hgbot Checkin
2013-07-31 12:56 hgbot Note Added: 0060406
2013-07-31 12:56 hgbot Status new => resolved
2013-07-31 12:56 hgbot Resolution open => fixed
2013-07-31 12:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/534e6a8019e8112cbb46c918bdc463fc9fcc73d8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/691c0c47b4340f6935bf948edb042ae739e4a122 [^]
2013-07-31 13:04 hgbot Checkin
2013-07-31 13:04 hgbot Note Added: 0060409
2013-07-31 15:14 migueldejuana Review Assigned To guilleaer => migueldejuana
2013-07-31 15:14 migueldejuana Note Added: 0060426
2013-07-31 15:14 migueldejuana Status resolved => closed
2013-07-31 15:14 migueldejuana Fixed in Version => RMP25


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker